cURL
curl --request POST \ --url https://api.example.com/api/datasets/batch \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "files": [ { "filename": "<string>", "bytes": 123, "content_type": "<string>", "checksum_sha256": "<string>" } ], "dataset_name": "<string>", "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "table_name": "<string>", "description": "<string>", "overrides": false } '
{ "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "dataset_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "uploads": [ { "file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "filename": "<string>", "bytes": 123, "content_type": "<string>", "upload_url": "<string>", "bucket": "<string>", "object_name": "<string>" } ] }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Show child attributes
Successful Response
Was this page helpful?